local f = CreateFrame('frame', 'WoWTokenFrame', UIParent)
f:SetPoint('CENTER')
f:EnableMouse(true)
f:SetClampedToScreen(true)
f:SetMovable(true)
f:SetScript('OnMouseDown', f.StartMoving)
f:SetScript('OnMouseUp', f.StopMovingOrSizing)

local price = f:CreateFontString(nil, nil, 'GameFontNormal')
price:SetPoint('CENTER')

f:SetScript('OnEvent', function(self, event, ...)
	price:SetText(GetMoneyString(C_WowTokenPublic.GetCurrentMarketPrice()))
	f:SetSize(price:GetSize())
end)
f:RegisterEvent('TOKEN_MARKET_PRICE_UPDATED')
C_WowTokenPublic.UpdateMarketPrice()

C_Timer.NewTicker(301, C_WowTokenPublic.UpdateMarketPrice)

f:SetScript('OnEnter', function(self)
	GameTooltip:SetOwner(self, 'ANCHOR_TOPRIGHT')
	GameTooltip:AddLine('Current WoW Token Price')
	GameTooltip:Show()
end)

f:SetScript('OnLeave', function(self)
	GameTooltip:Hide()
end)